aboutsummaryrefslogtreecommitdiffstats
path: root/testing/flowd/flowd.initd
diff options
context:
space:
mode:
Diffstat (limited to 'testing/flowd/flowd.initd')
-rw-r--r--testing/flowd/flowd.initd27
1 files changed, 27 insertions, 0 deletions
diff --git a/testing/flowd/flowd.initd b/testing/flowd/flowd.initd
new file mode 100644
index 0000000000..fefaff9c2d
--- /dev/null
+++ b/testing/flowd/flowd.initd
@@ -0,0 +1,27 @@
+#!/sbin/openrc-run
+
+description="NetFlow Сollector"
+command=/usr/sbin/flowd
+command_args="-g"
+command_background=yes
+pidfile=/run/flowd.pid
+required_files=/etc/flowd/flowd.conf
+extra_started_commands="reload reopen"
+description_reload="Reload configuration"
+description_reopen="Reopen log files"
+
+depend() {
+ need localmount net
+}
+
+reload() {
+ ebegin "Reloading $RC_SVCNAME"
+ start-stop-daemon --signal HUP --pidfile $pidfile
+ eend $?
+}
+
+reopen() {
+ ebegin "Reopening $RC_SVCNAME log files"
+ start-stop-daemon --signal USR1 --pidfile $pidfile
+ eend $?
+}